%global perl_bootstrap 1
%define upstream_name    Mail-Message
%define upstream_version 3.015

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1
Summary:    MIME message handling
Group:      Development/C
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Mail-Message
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Mail-Message-%{version}.tar.gz

%if !%{defined perl_bootstrap}

%endif

%if !%{defined perl_bootstrap}

%endif

# Remember when we could assume build environments had common packages?
# Pepperidge Farm remembers.

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.4.0
BuildRequires: perl(Mail::Address) >= 2.170.0
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Time::Zone)
BuildRequires: perl(URI) >= 1.230.0
BuildRequires: perl(User::Identity) >= 1.20.0
BuildArch:  noarch
# Explicit run requires
Requires:   perl(Date::Parse)
%if !%{defined perl_bootstrap}
Requires:   perl(Mail::Transport::Send)
%endif
Requires:   perl(Time::Zone)
# I'm not sure why these provides aren't getting picked up automatically.
Provides:   perl(Mail::Message::Body::Construct) = %{version}
Provides:   perl(Mail::Message::Construct) = %{version}
Provides:   perl(Mail::Message::Construct::Bounce) = %{version}
Provides:   perl(Mail::Message::Construct::Build) = %{version}
Provides:   perl(Mail::Message::Construct::Forward) = %{version}
Provides:   perl(Mail::Message::Construct::Read) = %{version}
Provides:   perl(Mail::Message::Construct::Rebuild) = %{version}
Provides:   perl(Mail::Message::Construct::Reply) = %{version}
Provides:   perl(Mail::Message::Construct::Text) = %{version}

%description
MIME message handling code, formerly part of the Mail::Box package.

%prep
%setup -q -n Mail-Message-%{version}
# The licensing on these test files is unclear. 
# They seem to contain content posted publicly to usenet
# so there is an argument that the content is distributable
# but its not under a Free license.
# We delete these files to resolve the issue.
# https://rt.cpan.org/Public/Bug/Display.html?id=120149
rm -rf t/203-mlfolder.mbox t/204-sgfolder.mbox
rm -rf t/203head-listgroup.t t/204head-spamgroup.t

%{?perl_default_filter}

%build 
yes y |%__perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
# Fix file encoding
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode $RPM_BUILD_ROOT%{_mandir}/man3/Mail::Message::Field.3pm iso-8859-1

%check
make test

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3*

%changelog
* Fri Dec 15 2023 tv <tv> 3.015-1.mga10
+ Revision: 2018228
- update to 3.015

* Mon Oct 23 2023 tv <tv> 3.014-1.mga10
+ Revision: 2000314
- update to 3.014

* Sun Sep 10 2023 tv <tv> 3.013-1.mga10
+ Revision: 1986025
- update to 3.013

* Mon Mar 28 2022 umeabot <umeabot> 3.012-2.mga9
+ Revision: 1830567
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 3.012-1.mga9
+ Revision: 1777559
- update to 3.012

* Fri Jul 30 2021 tv <tv> 3.011-1.mga9
+ Revision: 1738176
- update to 3.011

* Thu Oct 15 2020 tv <tv> 3.010-1.mga8
+ Revision: 1636188
- update to 3.010

* Fri Feb 14 2020 umeabot <umeabot> 3.009-2.mga8
+ Revision: 1522987
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 3.009-1.mga8
+ Revision: 1489049
- update to 3.009

* Thu Feb 14 2019 tv <tv> 3.008-1.mga7
+ Revision: 1366966
- update to 3.008

* Thu Sep 20 2018 umeabot <umeabot> 3.007-2.mga7
+ Revision: 1284742
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 3.007-1.mga7
+ Revision: 1256563
- update to 3.007

* Mon Jan 29 2018 tv <tv> 3.006-1.mga7
+ Revision: 1197931
- update to 3.006

* Sun Dec 24 2017 tv <tv> 3.005-1.mga7
+ Revision: 1184402
- update to 3.005

* Sat Nov 11 2017 tv <tv> 3.003-1.mga7
+ Revision: 1176932
- update to 3.003

* Mon Oct 09 2017 tv <tv> 3.002-1.mga7
+ Revision: 1170596
- imported package perl-Mail-Message

